| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPolygonMeshEdge Struct Reference
[Geometry utilities]

A definition of one edge. More...

`#include <csgeom/pmtools.h>`

List of all members.

## Public Attributes
bool | active
| Active or not.
int | poly1
| Indices of the two polygons sharing this edge.
int | poly2
int | vt1
| Indices of the two vertices forming the edge.
int | vt2

## Detailed Description

A definition of one edge.

Definition at line 45 of file pmtools.h.

## Member Data Documentation

bool csPolygonMeshEdge::active

Active or not.

If this flag is true the edge is active in the sense that it actually connects two non-coplanar polygons (or is only connected to one polygon). Edges that are not active are not relevant for outline calculation.

Definition at line 64 of file pmtools.h.

int csPolygonMeshEdge::poly1

Indices of the two polygons sharing this edge.

If poly2 == -1 then this is an edge with only one polygon attached.

Definition at line 56 of file pmtools.h.

int csPolygonMeshEdge::vt1

Indices of the two vertices forming the edge.

vt1 < vt2.

Definition at line 51 of file pmtools.h.

The documentation for this struct was generated from the following file:

- csgeom/pmtools.h